## krunner 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KRunner)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION}
    VARIABLE_PREFIX KRUNNER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
)

# Dependencies
set(REQUIRED_QT_VERSION "5.3.0")

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui Widgets Quick)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Plasma ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Solid ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ThreadWeaver ${KF5_DEP_VERSION} REQUIRED)

# Subdirectories
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Runner")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5RunnerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5RunnerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5RunnerTargets.cmake
        NAMESPACE KF5::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## krunner 5.3.0

=== debian/changelog ===
krunner (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:34:05 +0100

krunner (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Batchpatch symbols. 
  * wrap-and-sort 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:08:30 +0200

krunner (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 10:54:32 +0200

krunner (5.0.0-0ubuntu2) utopic; urgency=medium

  * Make krunner-dev depened on plasma-dev to match the cmake config's
    requirements

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 25 Jul 2014 11:28:32 +0200

krunner (5.0.0-0ubuntu1) utopic; urgency=medium

  * First stable upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jul 2014 17:47:00 +0200

=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5threadweaver-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.2.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/krunner
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/krunner.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/krunner.git

Package: libkf5runner-dev
Section: libdevel
Architecture: any
Depends: libkf5runner5 (= ${binary:Version}),
         plasma-framework-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: development files for krunner
 An assortment of text-related widgets.
  .
 Contains development files for krunner.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.

Package: libkf5runner5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
Multi-Arch: allowed

Package: libkf5runner5-dbg
Architecture: any
Multi-Arch: allowed
Priority: extra
Section: debug
Depends: libkf5runner5 (= ${binary:Version}), ${misc:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: debug symbols for krunner
 An assortment of text-related widgets
 .
 Contains debug symbols for krunner.

## krunner 5.9.0

=== debian/changelog ===
krunner (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:21:01 +0200

krunner (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:47:21 +0100

krunner (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 17:03:24 +0100

krunner (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:21:28 +0100

krunner (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:51:28 +0100

krunner (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:38:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,41 +5,41 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kio-dev (>= 5.3.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5bookmarks-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5jobwidgets-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5solid-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5threadweaver-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kio-dev (>= 5.9.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5bookmarks-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5jobwidgets-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5solid-dev (>= 5.9.0),
+               libkf5sonnet-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5threadweaver-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
+               libkf5xmlgui-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev (>= 5.2.0),
+               plasma-framework-dev (>= 5.9.0),
                qtbase5-dev,
                qtdeclarative5-dev,
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/krunner
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/krunner.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/krunner.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/krunner.git
 
 Package: libkf5runner-dev

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/portingAids/krunner-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/portingAids/krunner-(.*)\.tar\.xz

## krunner 5.15.0

=== debian/changelog ===
krunner (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:55:40 +0100

krunner (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:26:14 +0100

krunner (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:30:21 +0200

krunner (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:08:42 +0200

krunner (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 21:23:04 +0200

krunner (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:10:41 +0200

krunner (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:20 +0200

krunner (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Mar 2015 17:45:51 +0100

krunner (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update copyright information.
  * Update watch file.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Feb 2015 16:12:48 +0100

=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5service-dev (>= 5.15.0~),
               libkf5solid-dev (>= 5.15.0~),
               libkf5threadweaver-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.15.0~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/krunner
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/krunner.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/krunner.git

Package: libkf5runner-dev
Section: libdevel
Architecture: any
Depends: libkf5runner5 (= ${binary:Version}),
         plasma-framework-dev (>= 5.15.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for krunner
 An assortment of text-related widgets.
  .
 Contains development files for krunner.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

Package: libkf5runner5-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: libkf5runner5 (= ${binary:Version}), ${misc:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: debug symbols for krunner
 An assortment of text-related widgets
 .
 Contains debug symbols for krunner.

## krunner 5.18.0

=== debian/changelog ===
krunner (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:24:31 +0100

krunner (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:44 +0100

krunner (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:00 +0200

krunner (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:47 +0100

krunner (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:07 +0200

krunner (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Sep 2015 10:05:16 +0200

krunner (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
-               libkf5solid-dev (>= 5.15.0~),
-               libkf5threadweaver-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               libkf5solid-dev (>= 5.18.0~),
+               libkf5threadweaver-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev (>= 5.15.0~),
+               plasma-framework-dev (>= 5.18.0~),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/krunner
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/krunner.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/krunner.git
@@ -29,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5runner5 (= ${binary:Version}),
-         plasma-framework-dev (>= 5.15.0~),
+         plasma-framework-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for krunner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5runner5-dbg

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/portingAids/krunner-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/krunner-([\d.]+)\.tar\.xz

## krunner 5.26.0

=== debian/changelog ===
krunner (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:49:15 +0100

krunner (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:45:41 +0000

krunner (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)
  * Fixing watch file path

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:16:53 +0200

krunner (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release, xenial backport. 
  * Add missing kdevelop template to dev package. 
  * Debian merge: No remaining changes. 
  * Bump depends versions for frameworks. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * libkf5runner-dev breaks/replaces kapptemplate << 4:15.12.3-0ubuntu2~

  [ Clive Johnston ]
  * New upstream release
  * Bumping build deps for frameworks

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:35:46 -0700

krunner (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * (Experimental specific) Add qt5-qmltooling-plugins as a build-dep,
    missing dependency of qtdeclarative5-dev

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:56 +0100

krunner (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:31 +0100

=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5solid-dev (>= 5.26.0~),
               libkf5threadweaver-dev (>= 5.26.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.26.0~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/krunner
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner

Package: libkf5runner-dev
Section: libdevel
Architecture: any
Depends: libkf5runner5 (= ${binary:Version}),
         plasma-framework-dev (>= 5.26.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Breaks: kapptemplate (<< 4:15.12.3-0ubuntu2~)
Replaces: kapptemplate (<< 4:15.12.3-0ubuntu2~)
Description: development files for krunner
 An assortment of text-related widgets.
  .
 Contains development files for krunner.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

## krunner 5.28.0

=== debian/changelog ===
krunner (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:59 +0100

krunner (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:10:40 +0200

krunner (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:03:51 +0200

krunner (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Aug 2016 16:04:50 +0200

krunner (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:28:48 +0200

krunner (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop qt5-qmltooling-plugins build dependency
  * Add kdevappwizard template, set corresponding breaks/replaces
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update watch file
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:53:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,36 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                kio-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
-               libkf5coreaddons-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5service-dev (>= 5.26.0~),
-               libkf5solid-dev (>= 5.26.0~),
-               libkf5threadweaver-dev (>= 5.26.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5coreaddons-dev (>= 5.28.0~),
+               libkf5i18n-dev (>= 5.28.0~),
+               libkf5kio-dev (>= 5.28.0~),
+               libkf5plasma-dev (>= 5.28.0~),
+               libkf5service-dev (>= 5.28.0~),
+               libkf5solid-dev (>= 5.28.0~),
+               libkf5threadweaver-dev (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                plasma-framework-dev (>= 5.26.0~),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
+               qtdeclarative5-dev (>= 5.5.0~),
                xauth,
                xvfb
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/krunner
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/krunner.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/krunner.git
 
 Package: libkf5runner-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5runner5 (= ${binary:Version}),
          plasma-framework-dev (>= 5.26.0~),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
-Breaks: kapptemplate (<< 4:15.12.3-0ubuntu2~)
-Replaces: kapptemplate (<< 4:15.12.3-0ubuntu2~)
+Breaks: kapptemplate (<= 4:16.04)
+Replaces: kapptemplate (<= 4:16.04)
 Description: development files for krunner
  An assortment of text-related widgets.
   .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5runner5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

## krunner 5.31.0

=== debian/changelog ===
krunner (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:52 +0000

krunner (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:34 +0000

krunner (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,33 +5,31 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               kio-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.28.0~),
-               libkf5kio-dev (>= 5.28.0~),
-               libkf5plasma-dev (>= 5.28.0~),
-               libkf5service-dev (>= 5.28.0~),
-               libkf5solid-dev (>= 5.28.0~),
-               libkf5threadweaver-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5solid-dev (>= 5.31.0~),
+               libkf5threadweaver-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev (>= 5.26.0~),
-               qtbase5-dev (>= 5.5.0~),
-               qtdeclarative5-dev (>= 5.5.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                xauth,
                xvfb
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/krunner
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/krunner.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/krunner.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
 
 Package: libkf5runner-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5runner5 (= ${binary:Version}),
-         plasma-framework-dev (>= 5.26.0~),
-         qtbase5-dev (>= 5.5.0~),
+Depends: libkf5plasma-dev (>= 5.31.0~),
+         libkf5runner5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Breaks: kapptemplate (<= 4:16.04)
 Replaces: kapptemplate (<= 4:16.04)

## krunner 5.38.0

=== debian/changelog ===
krunner (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:55 +0100

krunner (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:47:52 +0100

krunner (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:46 +0100

krunner (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:57:46 +0100

krunner (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:43 +0100

krunner (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
-               libkf5solid-dev (>= 5.31.0~),
-               libkf5threadweaver-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5plasma-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
+               libkf5solid-dev (>= 5.38.0~),
+               libkf5threadweaver-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
@@ -27,7 +27,7 @@
 Package: libkf5runner-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5plasma-dev (>= 5.31.0~),
+Depends: libkf5plasma-dev (>= 5.38.0~),
          libkf5runner5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}

## krunner 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KRunner)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KRunner VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -14,22 +16,25 @@
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
-include(ECMPackageConfigHelpers)
+include(ECMAddQch)
+include(CMakePackageConfigHelpers)
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(KDEPackageAppTemplates)
+include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-ecm_setup_version(${KF5_VERSION}
+ecm_setup_version(PROJECT
     VARIABLE_PREFIX KRUNNER
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/krunner_version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfigVersion.cmake"
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION "5.3.0")
+set(REQUIRED_QT_VERSION 5.7.0)
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Gui Widgets Quick)
 
@@ -39,18 +44,35 @@
 find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Plasma ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5Solid ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5ThreadWeaver ${KF5_DEP_VERSION} REQUIRED)
+
+set(KRunner_AUTOMOC_MACRO_NAMES "K_EXPORT_PLASMA_RUNNER" "K_EXPORT_RUNNER_CONFIG")
+if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
+    # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
+    # 3.10+ lets us provide more macro names that require automoc.
+    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES ${KRunner_AUTOMOC_MACRO_NAMES})
+endif()
 
 # Subdirectories
 add_subdirectory(src)
 add_subdirectory(autotests)
 add_subdirectory(tests)
+add_subdirectory(templates)
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Runner")
 
-ecm_configure_package_config_file(
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5Runner_QCH
+        FILE KF5RunnerQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5RunnerQchTargets.cmake\")")
+endif()
+
+configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF5RunnerConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KF5RunnerConfig.cmake"
     INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
@@ -71,4 +93,8 @@
         DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
         COMPONENT Devel)
 
+    # contains list of debug categories, for kdebugsettings
+install(FILES krunner.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMAddTests)

ecm_add_tests(
   runnercontexttest.cpp
   LINK_LIBRARIES Qt5::Test KF5::KIOCore KF5Runner
)

ecm_add_tests(
   dbusrunnertest.cpp
   LINK_LIBRARIES Qt5::Test KF5::KIOCore KF5Runner Qt5::Widgets
)

set(demoapp_SRCS testremoterunner.cpp)
qt5_add_dbus_adaptor(demoapp_SRCS "../src/data/org.kde.krunner1.xml" testremoterunner.h TestRemoteRunner)
add_executable(testremoterunner ${demoapp_SRCS})
target_link_libraries(testremoterunner
    Qt5::DBus
    KF5::Runner
)

=== debian/changelog ===
krunner (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:58 +0000

krunner (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:28 +0000

krunner (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:47 +0000

krunner (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Added etc/xdg/krunner.categories to libkf5runner5.install

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:07:38 -0600

krunner (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:37 +0000

=== debian/control ===
Source: krunner
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5plasma-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5solid-dev (>= 5.44.0~),
               libkf5threadweaver-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/krunner
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krunner

Package: libkf5runner-dev
Architecture: any
Section: libdevel
Depends: libkf5plasma-dev (>= 5.44.0~),
         libkf5runner5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Breaks: kapptemplate (<= 4:16.04)
Replaces: kapptemplate (<= 4:16.04)
Description: development files for krunner
 An assortment of text-related widgets.
  .
 Contains development files for krunner.

Package: libkf5runner5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: qml-module-org-kde-runnermodel (= ${binary:Version})
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.

Package: qml-module-org-kde-runnermodel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Used to write plugins loaded at runtime called "Runners".
 Launcher built into the Plasma desktop. While its
 basic function is to launch programs from a sort
 of mini-command-line, its functionality can be
 extended by "runners" to assist the user
 to accomplish a lot of tasks.
 .
 This package contains the runtime files.

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,4 @@
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='libkf5runner5-dbg (<= 5.19.0-1~~)'
 
-override_dh_auto_test:
-	xvfb-run -a $(overridden_command)
+.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/krunner-([\d.]+)\.tar\.xz
